namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 项目中心调研设备表")]
[Table("TrialSiteEquipmentSurvey")]
public class TrialSiteEquipmentSurvey : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("TrialSiteSurveyId")]
    public TrialSiteSurvey TrialSiteSurvey { get; set; }
    [JsonIgnore]
    [ForeignKey("EquipmentTypeId")]
    public Dictionary EquipmentType { get; set; }
    #endregion
    public Guid TrialSiteSurveyId { get; set; }

    public Guid EquipmentTypeId { get; set; }
    public string Parameters { get; set; } = string.Empty;

    public string ManufacturerName { get; set; } = string.Empty;
    public string ScannerType { get; set; } = string.Empty;

    public string Note { get; set; } = string.Empty;
}

